For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • POSTCreates a new project or private task.
      • POSTInvites a user by email and assigns them to a task.
      • POSTEdits multiple tasks using the specified operation.
      • POSTChanges the base type for multiple tasks.
      • POSTChanges the lists of tasks.
      • POSTChanges statuses of tasks.
      • POSTChanges the parent task and the order of subtasks.
      • POSTConvert subtasks to a parent task.
      • POSTChanges the type of work for a batch of tasks.
      • POSTDeletes tasks and optionally related time entries.
      • GETReturns the task with the specified key.
      • POSTSets the priority flag for a task.
      • GETReturns the task with the specified id.
      • PUTUpdates the task with the specified id.
      • POSTCreates a copy of the specified task.
      • POSTDeletes the recurrence rule for a task.
      • GETGets the recurrence rule of a task.
      • POSTAssigns a list of users to a task.
      • POSTModifies planned efforts for the given task assignments.
      • POSTAdds or updates a recurrence rule for a task.
      • POSTUpdates the order of a task within its list.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTasks

Invites a user by email and assigns them to a task.

POST
https://api.awork.com/api/v1/tasks/assignuserbyemail
POST
/api/v1/tasks/assignuserbyemail
$curl -X POST https://api.awork.com/api/v1/tasks/assignuserbyemail \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "taskId": "123e4567-e89b-12d3-a456-426614174000",
> "email": "carla.creative@ncnstn.com",
> "roleId": "123e4567-e89b-12d3-a456-426614174000"
>}'
1{}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Edits multiple tasks using the specified operation.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The assign By Email form payload.
taskIdstringRequiredformat: "uuid"
The id of the task.
emailstringRequiredformat: "email">=1 character
The email of the new user.
roleIdstringRequiredformat: "uuid"
The id of the role to which the new user should be added.
firstNamestring or nullOptional
The first name of the user to be invited.
lastNamestring or nullOptional
The last name of the user to be invited.
genderenumOptional
The gender of the user to be invited. Could be 'male', 'female', 'other'
Allowed values:

Response

OK

Errors

400
Bad Request Error
404
Not Found Error